import { ExplicitCallable } from './pipe';
/**
 * Inverts previous value.
 *
 * Previous value must be boolean.
 *
 * ```
 * pipe(useCallValue()).pipe(inverse()).resolveSync(true) // false
 * pipe(useCallValue()).pipe(inverse()).resolveSync(false) // true
 * ```
 * @export
 * @returns {ExplicitCallable<boolean, boolean>}
 */
export declare function inverse(): ExplicitCallable<boolean, boolean>;
/**
 * Puts a `false` value.
 *
 * ```
 * pipe(F()).resolveSync(undefined) // false
 * ```
 * @export
 * @returns {ExplicitCallable<unknown, false>}
 */
export declare function F(): ExplicitCallable<unknown, false>;
/**
 * Puts a `true` value.
 *
 * ```
 * pipe(T()).resolveSync(undefined) // true
 * ```
 * @export
 * @returns {ExplicitCallable<unknown, true>}
 */
export declare function T(): ExplicitCallable<unknown, true>;
